# Gimp.stack_trace_available

    function stack_trace_available(optimal: Boolean): Boolean {
        // Gjs wrapper for gimp_stack_trace_available()
    }

Returns true if we have dependencies to generate backtraces. If optimal is true, the function will return true only when we are able to generate optimal traces (i.e. with GDB or LLDB); otherwise we return true even if only backtrace() API is available.

On Win32, we return TRUE if Dr. Mingw is built-in, FALSE otherwise.

Note: this function is not crash-safe, i.e. you should not try to use it in a callback when the program is already crashing. In such a case, call Gimp.stack_trace_print or Gimp.stack_trace_query directly.

Since 2.10

optimal

  whether we get optimal traces.

Returns